Subject: Re: bug#15783: 24.3; posn-at-x-y is relative to the buffer area, posn-at-point is relative to the text area.

From: Stefan Kangas <[email-masked]>
Date: Sat, 23 Oct 2021 00:47:39 -0700

close 15783 28.1
thanks

Eli Zaretskii <[email-masked]> writes:

>> How does the attached patch look?
>
> Yes, but with one correction:
>
>> --- a/doc/lispref/commands.texi
>> +++ b/doc/lispref/commands.texi
>> @@ -2354,10 +2354,11 @@ Accessing Mouse
>>  coordinates @var{x} and @var{y} in a specified frame or window,
>>  @var{frame-or-window}, which defaults to the selected window.
>>  The coordinates @var{x} and @var{y} are relative to the
>> -frame or window used.
>> -If @var{whole} is @code{nil}, the coordinates are relative
>> -to the window text area, otherwise they are relative to
>> -the entire window area including scroll bars, margins and fringes.
>> +text area of the selected window.
>> +If @var{whole} is @code{nil}, the @var{x} coordinate is relative to
>       ^^^^^^^^^^^^^^^^^^^^^^^^^
> You mean, non-nil, right?

Yes, good spot.

>> +the entire window area including scroll bars, margins and fringes,
>> +while the @var{y} coordinate remains unchanged and relative to the
>> +text area.
>
> And I wouldn't mention what WHOLE does to Y, because it just confuses
> things.  Y remains unchanged simply because there are no window
> decorations that affect Y coordinates, but there's no need to tell
> that in a doc string; if we say nothing about Y, it still tells that Y
> is unchanged.

Thanks, I removed that and pushed it to emacs-28 as commit cdbd03345d.

I'm therefore closing this bug report.